xmltooling 1.5.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
xmlencryption::EncryptedKeyResolver Class Reference

An API for resolving encrypted decryption keys. More...

`#include <xmltooling/encryption/EncryptedKeyResolver.h>`

## Public Member Functions
virtual const EncryptedKey * | resolveKey (const EncryptedData &encryptedData, const XMLCh *recipient=0) const
| Returns an encrypted key based on the supplied object's KeyInfo information. More...

## Detailed Description

An API for resolving encrypted decryption keys.

## Member Function Documentation

virtual const EncryptedKey* xmlencryption::EncryptedKeyResolver::resolveKey | ( | const EncryptedData & | encryptedData,
|  | const XMLCh * | recipient = `0`
| ) |  | const
| virtual

Returns an encrypted key based on the supplied object's KeyInfo information.

Parameters

  encryptedData | an encrypted object
  recipient | identifier of recipient of encrypted key

Returns
  the resolved EncryptedKey object

The documentation for this class was generated from the following file:

- xmltooling/encryption/EncryptedKeyResolver.h